Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Celebration
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
    • Get Overtimes
      GET
  • Recruitment
    • Get Candidate
      GET
  • Core HR
    • Attendance
      • Get Time Attendance
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
      • Update Employee
      • Get Employees List
      • Get Mastertypes List
      • Get Name Prefixes
      • Get Document Types
      • Update Employee
      • Add Employee Attachment
      • Update Employee Address
      • Update Employee Family
      • Update Employee Contact
      • Update Employee Education
      • Update Employee Experience
      • Update Employee CustomField
      • Delete Employee
      • Get Employee Role
      • Get Employee Movement Lists
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • Search Projects
      • Search Tasks
      • Create Timesheet Entry
  • Payroll
    • Get Financial Transactions
      POST
    • Update Financial Transactions
      PUT
    • Create Loan
      POST
    • Get Cost Center
      POST
  • Welfare
    • Shuttle Buses
      GET
    • Passengers
      GET
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • Get Employee Achievements
      • Create Achievement Card
      • Create Achievement Award Document
      • Get Achievement Events
    • Praise
      • Get Employee Praises
      • Get Praise Types
      • Create Praise Reward Manager
    • StampCard
      • Get Stamp Cards
      • Get Stamp Card Detail
      • Add Stamp
    • Celebration
      • Get Upcoming Celebrations
        POST
  • Overtime
    • Get Overtimes Preriods
    • Get Overtimes Documents
  • Employee
    • User Info
    • Update Employee Information
  1. Celebration

Get Upcoming Celebrations

Developing
POST
https://api.gofive.co.th/empeo/api/v1/celebrations/upcoming
ดึงวันสำคัญของพนักงานที่กำลังจะมาถึง
ดึงรายการวันสำคัญของพนักงานในช่วงวันที่ที่ระบุ จัดกลุ่มเป็นรายวัน (หนึ่งรายการใน Data = หนึ่งวัน) และเรียงวันจากเก่าไปใหม่
ภายในแต่ละวันเรียงตามประเภทวันสำคัญแล้วตามชื่อพนักงาน
ใช้ POST เพื่อส่งชื่อบริษัทภาษาไทยและช่วงวันที่ใน JSON body ได้อย่างปลอดภัย ทุก field เป็น optional:
ไม่ส่ง DateStart จะใช้วันนี้ ไม่ส่ง DateEnd จะใช้วันนี้ + 30 วัน ไม่ส่ง CompanyName จะอ่านทุกบริษัทใน tenant
และไม่ส่ง EmployeeRefId จะอ่านทุกพนักงานที่ผู้เรียกมองเห็น
DateStart / DateEnd เป็นวันที่แบบไม่มี timezone (ระบบใช้เฉพาะส่วนวันที่) เมื่อไม่พบรายการจะคืน 204 โดยไม่มี body
ต้องมีสิทธิ์ Open API โมดูล Celebration ระดับ Read

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/json

Example
{
    "dateStart": "2026-07-01",
    "dateEnd": "2026-07-12",
    "employeeRefId" : "",
    "companyName" : "บริษัท โกไฟว์ จำกัด"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/celebrations/upcoming' \
--header 'Ocp-Apim-Subscription-Key: xxxxxx' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "dateStart": "2026-07-01",
    "dateEnd": "2026-07-12",
    "employeeRefId" : "",
    "companyName" : "บริษัท โกไฟว์ จำกัด"
}'

Responses

🟢200OK
application/json
พบวันสำคัญในช่วงวันที่ที่ระบุ จัดกลุ่มตามวัน
Bodyapplication/json

Example
{
    "Status": {
        "Code": "1000",
        "Description": "Success!"
    },
    "Data": [
        {
            "Date": "5 กันยายน 2569",
            "Date_EN": "5 September 2026",
            "DateSort": "2026-09-05T00:00:00",
            "Employees": [
                {
                    "CelebrationType": 14002,
                    "EmployeeId": 1011,
                    "EmployeeNo": "EMP001",
                    "Name": "พนักงานตัวอย่าง",
                    "Name_EN": "Sample",
                    "FullName": "พนักงานตัวอย่าง หนึ่ง",
                    "FullName_EN": "Sample One",
                    "CelebrationName": "สุขสันต์วันเกิด",
                    "YearAnniversary": 0,
                    "MovementTransactionId": 0,
                    "PictureMediumURL": "https://cdn.example.com/employees/emp001-medium.png",
                    "HasTempCelebration": false,
                    "CompanyId": 1,
                    "CelebrationId": 501,
                    "Description": "สุขสันต์วันเกิดนะ",
                    "CustomCard": "https://cdn.example.com/celebration-cards/birthday.png",
                    "UserSharing": "EMP002",
                    "Attachment": [
                        {
                            "AttachmentNo": 1,
                            "AttachmentURL": "https://cdn.example.com/celebrations/501/photo.jpg",
                            "AttachmentThumbnailURL": "https://cdn.example.com/celebrations/501/photo-thumb.jpg"
                        }
                    ]
                }
            ]
        },
        {
            "Date": "12 กันยายน 2569",
            "Date_EN": "12 September 2026",
            "DateSort": "2026-09-12T00:00:00",
            "Employees": [
                {
                    "CelebrationType": 14005,
                    "EmployeeId": 1012,
                    "EmployeeNo": "EMP002",
                    "Name": "พนักงานตัวอย่าง",
                    "Name_EN": "Sample",
                    "FullName": "พนักงานตัวอย่าง สอง",
                    "FullName_EN": "Sample Two",
                    "CelebrationName": "สุขสันต์วันครบรอบ",
                    "YearAnniversary": 3,
                    "MovementTransactionId": 0,
                    "PictureMediumURL": "https://cdn.example.com/employees/emp002-medium.png",
                    "HasTempCelebration": false,
                    "CompanyId": 1,
                    "CelebrationId": 0,
                    "Description": "",
                    "CustomCard": "",
                    "UserSharing": "",
                    "Attachment": []
                }
            ]
        }
    ]
}
🟢204No Content
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429
🔴500Server Error
Modified at 2026-08-17 17:12:48
Previous
Add Stamp
Next
Get Overtimes Preriods
Built with